aboutsummaryrefslogtreecommitdiff
path: root/check/bash.sh
diff options
context:
space:
mode:
Diffstat (limited to 'check/bash.sh')
-rw-r--r--check/bash.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/check/bash.sh b/check/bash.sh
new file mode 100644
index 00000000..a3efccb1
--- /dev/null
+++ b/check/bash.sh
@@ -0,0 +1,5 @@
+for bash in bash/* bash/bashrc.d/* ; do
+ [ -f "$bash" ] || continue
+ bash -n "$bash" || exit
+done
+printf 'All bash(1) scripts parsed successfully.\n'